Skip to main content
POST
/
organizations
/
admin
/
add-rate
Add a manual exchange rate
curl --request POST \
  --url https://api.pcxpay.com/v1/organizations/admin/add-rate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "org_id": "<string>",
  "rate": 123,
  "from_currency": "<string>",
  "to_currency": "<string>"
}
'
{
  "status": "<string>",
  "message": "<string>",
  "data": {
    "org_rate_id": "<string>",
    "org_id": "<string>",
    "rate": 123,
    "from_currency": "<string>",
    "to_currency": "<string>",
    "spread": 123,
    "active": true,
    "provider": "<string>",
    "effective_from": "2023-11-07T05:31:56Z",
    "effective_to": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
org_id
string
required
rate
number
required
from_currency
string
required
to_currency
string
required

Response

Rate added

status
string
message
string
data
object